<?php

/**
 * @file
 * Defines all Ajax callbacks.
 */

/**
 * Ajax callback: fetch a slide when in fullscreen mode.
 *
 * @param object $node
 * @param string $step = 'next'
 *
 * @return string
 */
function opigno_quiz_app_fullscreen_fetch($node, $step = 'next') {
  if ($step != 'current') {
    $_POST['op'] = $step == 'next' ? t('Next') : t('Back');
  }
  $content = quiz_take($node);
  if (!empty($content)) {
    drupal_json_output(array('success' => 1, 'content' => $content, 'finished' => (int) empty($_SESSION['quiz_' . $node->nid]['quiz_questions'])));
  }
  else {
    drupal_json_output(array('error' => 1, 'message' => t("Could not load next slide.")));
  }
}